WEBLATE
=======

Weblate deployement using docker and docker compose

See : https://docs.weblate.org/en/latest/admin/install/docker.html

Requirements
------------

Needs paquerette ansible utility rôles : https://git.paquerette.eu/paquerette/infrastructure/ansible-paquerette

docker must be available on the machine

Role Variables
--------------

```yml
- role: weblate
  app_instance_id: weblate_main
  app_user: weblate_user
  app_user_password: $6$w0Xq3Ebrn$kFq................
  app_domain: weblate.domain.fr
  app_admin_password: "sdj....."
  database_password: "psp....;"
  description: weblate 

```

Default variables

Can be changed in instance configuration

```yml

  app_admin: "admin"
  app_admin_email: "{{ smtp_user }}"

  WEBLATE_MT_MYMEMORY_ENABLED: 1
  WEBLATE_REGISTRATION_OPEN: 1

```


Dependencies
------------

- base_server
- base_platform
- docker


Using the rôle
--------------

Installation :
--------------

`./play.py --inv hosts yourhost weblate_main reinstall`

Uninstallation :
----------------

WARNING: Uninsall will remove volumes


`/play.py --inv hosts yourhost weblate_main uninstall -e 'app_instance_to_uninstall=weblate_main'`

License
-------

GPL V3

Author Information
------------------

Jean-Yves LEBLEU jlebleu@gmail.com / contact@paquerette.eu
